Index: /main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_es.properties	(revision 29836)
+++ /main/trunk/gli/classes/dictionary_es.properties	(revision 29837)
@@ -113,4 +113,5 @@
 CDM.FormatManager.AllFeatures:Todas las CaraterÃ­sticas
 CDM.FormatManager.AllParts:Todos los Componentes
+CDM.FormatManager.Default_Warning:EstÃ¡ seguro de reiniciar el formato al valor por defecto?
 CDM.FormatManager.Default:Reset to Default
 CDM.FormatManager.Default_Tooltip:Reset the selected format command to its default value 
@@ -940,4 +941,28 @@
 #**********************
 #
+#***** FormatConversionDialog *****
+FormatConversionDialog.Accept_All:Aceptar todo
+FormatConversionDialog.Accept_All_Tooltip:Cierra esta ventana de diÃ¡logo, aceptando los formatos por defecto de Greenstone 3 que se han generado automÃ¡ticamente para este y cualquier otro formato Greenstone 2.
+FormatConversionDialog.Cancel_Or_Accept_All:Uno o mÃ¡s formatos de Greenstone 3 contienen cÃ³digo XML invÃ¡lido.\nPresione Cancelar para corregirlo.\nO presione OK para guardar el formato tal como estÃ¡, quedando inactivo.\nPuede usar luego la pestaÃ±a Formato para revisarlo y modificar su sintaxis.
+FormatConversionDialog.Cancel_Or_Continue_Next:Presione Cancelar para volver y reeditar el XML.\nO presione OK para guardar el formato tal como estÃ¡, quedando inactivo y continuar con el siguiente formato.\nPuede usar luego la pestaÃ±a Formato para revisarlo y modificar su sintaxis.
+FormatConversionDialog.Cancel_Tooltip:Cancela la apertura de la colecciÃ³n y cierra esta ventana de diÃ¡logo, descartando cualquier cambio realizado.
+FormatConversionDialog.Error_GS3_Format:Error en la sentencia de formateo de Greenstone3.
+FormatConversionDialog.GS2_Text_Tooltip:Cadena de formateo de Greenstone2.
+FormatConversionDialog.GS3_Text_Tooltip:Cadena de formateo de Greenstone3, debe ser XML para que estÃ© activa.
+FormatConversionDialog.Invalid_XML:XML invÃ¡lido.
+FormatConversionDialog.Invalid_XML_Warning_Title:Cancelar o Continuar?
+FormatConversionDialog.Next:Siguiente
+FormatConversionDialog.Next_Tooltip:Inspeccionar el siguiente formato de Greenstone3 que ha sido convertido automÃ¡ticamente desde un formato Greenstone2.
+FormatConversionDialog.Reconvert:Reconvertir
+FormatConversionDialog.Reconvert_Tooltip:Convierte el texto que estÃ¡ actualmente en el recuadro de formato Greenstone2 a una cadena de formateo Greenstone3.
+FormatConversionDialog.Tidy_Done:Emprolijamiento finalizado.
+FormatConversionDialog.Tidy_Failed:Emprolijamiento fallido.
+FormatConversionDialog.Title:Convertir cadena de formateo Greenstone2 a Greenstone3
+FormatConversionDialog.XHTML_Tidy:Emprolijamiento XHTML
+FormatConversionDialog.XHTML_Tidy_Tooltip:EjecutarÃ¡ HTML Tidy sobre la cadena de formateo Greenstone3 para tratar de corregir errores XHTML obvios.
+FormatConversionDialog.XML_Still_Invalid:XML aÃºn invÃ¡lido.
+
+#**********************
+#
 #***** Options Pane inside CreatePane *****
 OptionsPane.Cancelled:- cancelada
Index: /main/trunk/gli/help/es/help.xml
===================================================================
--- /main/trunk/gli/help/es/help.xml	(revision 29836)
+++ /main/trunk/gli/help/es/help.xml	(revision 29837)
@@ -5,5 +5,4 @@
      <!ENTITY mdash "&#8212;">
 ]>
-<!-- Spanish translation of GLI Help document. Many thanks to Jesus Tramullas and Diego Spano. Updated by Diego in May 2009. -->
 <Document>
 <Section name="introduction">
@@ -243,6 +242,6 @@
 </Title>
 <Text id="105">Esta secciÃ³n describe cÃ³mo importar metadtos previamente asignados, es decir, metadatos asignados a los documentos antes de que fuesen aÃ±adidos a la colecciÃ³n.</Text>
-<Text id="106">Si se han asignado previamente metadatos en una forma reconocible por la Interfaz de Bibliotecario, por ejemplo, cuando se seleccionan documentos de una colecciÃ³n Greenstone existente, entonces Ã©stos se importarÃ¡n automÃ¡ticamente cuando usted aÃ±ada el archivo. Para poder hacer esto los metadatos deben mapearse hacia el conjunto de metadatos disponible en la colecciÃ³n.</Text>
-<Text id="107">La Interfaz de Bibliotecario enviarÃ¡ un mensaje solicitando la informaciÃ³n necesaria. El mensaje incluirÃ¡ breves instrucciones y a continuaciÃ³n mostrarÃ¡ el nombre del elemento de metadato que se estÃ¡ importando, tal como aparece en el archivo fuente. Este campo no se podrÃ¡ editar o cambiar. A continuaciÃ³n elija el conjunto de metadatos hacia el que el nuevo elemento deberÃ¡ mapearse y el correspondiente elemento de metadato en ese conjunto. El sistema selecciona automÃ¡ticamente la correspondencia mÃ¡s cercana en tÃ©rminos de conjunto y elemento para el nuevo metadato.</Text>
+<Text id="106">Si se han asignado previamente metadatos en una forma reconocible por la Interfaz de Bibliotecario (por ejemplo, mediante un archivo medatadata.xml ubicado en la misma carpeta que el documento) o cuando se seleccionan documentos de una colecciÃ³n Greenstone existente, entonces Ã©stos se importarÃ¡n automÃ¡ticamente cuando usted aÃ±ada el archivo a una nueva colecciÃ³n. Greenstone reconocerÃ¡ el archivo metadata.xml (el cual no deberÃ¡ ser agregado a la colecciÃ³n) y automÃ¡ticamente intentarÃ¡ importar los metadatos.</Text>
+<Text id="107">Para importar metadatos, los mismos deben mapearse con los esquemas de metadatos asociados a la colecciÃ³n. La Interfaz de Bibliotecario preguntarÃ¡ por la informaciÃ³n necesaria. Se mostrarÃ¡n breves instrucciones y luego se verÃ¡ el elemento de metadato a ser importado, tal cual aparece en el archivo de origen. Este campo no puede editarse ni cambiarse. A continuaciÃ³n elija el conjunto de metadatos hacia el que el nuevo elemento deberÃ¡ mapearse y el correspondiente elemento de metadato en ese conjunto. El sistema selecciona automÃ¡ticamente la correspondencia mÃ¡s cercana en tÃ©rminos de conjunto y elemento para el nuevo metadato.</Text>
 <Text id="108">DespuÃ©s de revisar el mapeo, usted puede elegir "AÃ±adir" para aÃ±adir el nuevo elemento de metadato al conjunto de metadatos que se haya seleccionado. (Esto sÃ³lo es posible si no hay un elemento del mismo nombre dentro del conjunto seleccionado.) "Combinar" mapea el nuevo elemento hacia el que el usuario haya elegido. Finalmente, "Ignorar" no importa ningÃºn metadato con este nombre de elemento. Una vez que usted haya especificado la forma de importar una parte del metadato, la informaciÃ³n del proceso se conserva durante todo el tiempo de vida de la colecciÃ³n.</Text>
 <Text id="109">Para mayor informaciÃ³n sobre los archivos metadata.xml que Greenstone utiliza para guardar metadatos, vea el CapÃ­tulo 2 de la GuÃ­a del Programador de Greenstone: Obteniendo el mÃ¡ximo beneficio de sus documentos.</Text>
Index: /main/trunk/greenstone2/macros/spanish2.dm
===================================================================
--- /main/trunk/greenstone2/macros/spanish2.dm	(revision 29836)
+++ /main/trunk/greenstone2/macros/spanish2.dm	(revision 29837)
@@ -1029,5 +1029,5 @@
 
 }
-_textilog_ [l=es] {Fichero de control para la colecciÃ³n "_collectionname_"}
+_textilog_ [l=es] {Resumen de la importaciÃ³n de la colecciÃ³n "_collectionname_"}
 
 ############################################################################
Index: /main/trunk/greenstone2/perllib/strings_es.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_es.properties	(revision 29836)
+++ /main/trunk/greenstone2/perllib/strings_es.properties	(revision 29837)
@@ -116,4 +116,5 @@
 buildcol.mode.compress_text:Simplemente comprima el texto.
 buildcol.mode.infodb:Simplemente construye la base de datos de metadatos.
+buildcol.mode.extra:Saltear las etapas principales de indexaciÃ³n y solo construir las pasadas extras.
 
 buildcol.no_default_images:No se generarÃ¡n las imÃ¡genes predefinidas.
@@ -648,6 +649,10 @@
 List.level_partition.approximate_size:Crear una particiÃ³n por letra, y luego, agrupar o dividir las letras para obtener particiones del mismo tamaÃ±o.
 
-List.metadata:Campos de metadatos usados para la clasificaciÃ³n. Use '/' para separar los niveles de la jerarquÃ­a y ';' para separar los campos de metadatos dentro de cada nivel.
-
+List.metadata:Campos de metadatos usados para la clasificaciÃ³n. Use '/' para separar los niveles de la jerarquÃ­a y ';' o ',' para separar los campos de metadatos dentro de cada nivel.
+
+List.metadata_selection_mode:Determina por cuÃ¡ntos valores de metadatos serÃ¡ clasificado el documento, dentro de cada nivel. Use "/" para separar niveles.
+List.metadata_selection.firstvalue:Clasificar solamente por un valor de metadato, el primero encontrado.
+List.metadata_selection.firstvalidmetadata:Clasificar por todos los valores de metadatos del primer elemento de la lista que tenga algÃºn valor.
+List.metadata_selection.allvalues:Clasificar por todos los valores de metadatos encontrados, de todos los elementos en la lista.
 List.partition_name_length:Longitud del nombre de la particiÃ³n: el valor predefinido es una variable entre 1 y 3 caracteres, dependiendo de cuÃ¡ntos son necesarios para distinguir el principio de la particiÃ³n de su final. Esta opciÃ³n sÃ³lo se aplica cuando partition_type_within_level se marca como 'constant_size'.
 
@@ -1150,4 +1155,6 @@
 
 PDFPlugin.noimages:No intente extraer las imÃ¡genes de PDF.
+
+PDFPlugin.use_realistic_book:Convierte documentos PDF en documentos XHTML para permitir que los usuarios lo visualicen en formato realistic book.
 
 PDFPlugin.use_sections:Cree una secciÃ³n separada para cada pÃ¡gina del archivo de PDF.
@@ -1342,4 +1349,7 @@
 BasPlugout.group_size:NÃºmero de documentos a agrupar en un fichero XML.
 BasPlugout.gzip_output:Usar gzip para comprimir los documentos xml resultantes (no olvide incluir ZIPPlugin en su lista de conectores cuando construya con documentos compactados).
+#'
+BasPlugout.no_auxiliary_databases:No generar las bases de datos de archives. Util cuando se hacen exportaciones.
+#'
 BasPlugout.output_handle:descriptor de archivo usado para enviar la informaciÃ³n de salida
 BasPlugout.output_info:Referencia a un objeto arcinfo usado para almacenar informaciÃ³n sobre los archivos.
@@ -1349,4 +1359,5 @@
 BasPlugout.subdir_split_length:El nÃºmero mÃ¡ximo de caracteres antes de dividir el nombre de una carpeta archives.
 BasPlugout.no_rss:Suprimir la generaciÃ³n automÃ¡tica del archivo RSS.
+BasPlugout.rss_title:Lista separada por comas de campos de metadatos mencionados en orden de preferencia desde la cual se obtendrÃ¡ el tÃ­tulo del link de la entrada RSS del documento.
 
 DSpacePlugout.desc:formato de archivo DSpace
Index: /main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_es.properties	(revision 29836)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/AbstractGS2FieldSearch_es.properties	(revision 29837)
@@ -1,4 +1,18 @@
 #query params
+param.level:Nivel de granularidad con el que buscar
+param.sortBy:Orden de visualizaciÃ³n de docuimentos
+param.sortBy.1:ranking
+param.sortBy.0:natural
+param.fqv:Palabra o frase
+param.fqf:en el campo
+param.fqf.all:Todos los campos
+param.fqs:truncar
+param.fqc:diferenciar mayÃºsculas
 param.fqk:
+param.fqk.0:Y
+param.fqk.1:O
+param.fqk.2:NO
+param.fqa:acentos
+param.indexLanguage:Idioma del Ã­ndice
 
 #levels - this should go somewhere more central perhaps?
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 29836)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 29837)
@@ -1,14 +1,58 @@
-gsdl=Programa de la Biblioteca Digital Greenstone
-home_b=PRINCIPAL
-help_b=AYUDA
-pref_b=PREFERENCIAS
-home_tip=PÃ¡gina Principal
-help_tip=PÃ¡gina de ayuda
-pref_tip=Cambio de preferencias
-query.nodocsmatch=No hay documentos que correspondan a la consulta.
-query.onedocsmatch=1 documento corresponde a la consulta.
-pref.searchpref=Preferencias de bÃºsqueda
-pref.prespref=Preferencias de presentaciÃ³n
-pref.interfacelang=Idioma de la interfaz: 
-pref.encoding=CodificaciÃ³n: 
-pref.set_prefs=fijar preferencias
+#***** IMAGE URLS *****
+
+#***** TEXT FRAGMENTS *****
+gsdl:Programa de la Biblioteca Digital Greenstone
+# the buttons
+home_b:PRINCIPAL
+help_b:AYUDA
+pref_b:PREFERENCIAS
+# tool tips for the buttons
+home_tip:PÃ¡gina Principal
+help_tip:PÃ¡gina de ayuda
+pref_tip:Cambio de preferencias
+
+######################
+# system page
+#######################
+######################
+# about page
+#######################
+
+#######################
+# query page
+########################
+query.nodocsmatch:No hay documentos que correspondan a la consulta.
+query.onedocsmatch:1 documento corresponde a la consulta.
+
+
+# eg Displaying 1 to 20 of 42 sections/documents
+
+
+##################
+# prefs page
+##################
+pref.searchpref:Preferencias de bÃºsqueda
+pref.prespref:Preferencias de presentaciÃ³n
+pref.interfacelang:Idioma de la interfaz:
+pref.encoding:CodificaciÃ³n:
+pref.set_prefs:fijar preferencias
+
+##################
+# document page
+##################
+
+
+
+
+
+
+
+##################
+# authentication page
+##################
+
+
+
+###################
+# Document basket #
+###################
Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_es.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_es.properties	(revision 29836)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_es.properties	(revision 29837)
@@ -68,11 +68,19 @@
 Installing_Documented_Examples.explanatoryText:Un conjunto de colecciones de ejemplo, cuya pÃ¡gina "Acerca de" describe cÃ³mo se crearon. \n\nAÃºn si no instala las colecciones de ejemplo ahora, podrÃ¡ descargarlas desde http\://www.greenstone.org/ o desde el CD-ROM de Greenstone.
 
-### Admin password page '
+### Admin password page
 
 page.admin-pages.displayText:PÃ¡ginas de AdministraciÃ³n
+
+## GS2
 admin-expl.displayText:Las pÃ¡ginas de AdministraciÃ³n de la interfaz web de Greenstone le permiten administrar la base de usuarios, la cual es necesaria si desea proveer acceso restringido al contenido y/o acceso remoto para la construcciÃ³n de la colecciÃ³n. Las pÃ¡ginas tambiÃ©n dan un acceso sencillo a los archivos de log y permiten editar el archivo 'main.cfg'.
 admin-expl-2.displayText:Desea habilitar las pÃ¡ginas de administraciÃ³n de Greenstone? (Se le solicitarÃ¡ una clave en la siguiente pÃ¡gina.)
 admin-expl-3.displayText:NOTA\: Si habilita las pÃ¡ginas de administraciÃ³n, estarÃ¡n accesibles desde Internet. Por favor, elija una clave segura para protegerlas.\nNOTA\: las pÃ¡ginas de administraciÃ³n pueden habilitarse/deshabilitarse luego editando el archivo etc/main.cfg y configurando el estado a "enabled/disabled". Una cuenta incial "admin" con clave "admin" serÃ¡ creada. Cambie dicha clave inmediatamente.
 enable.admin.pages.displayText:Habilitar PÃ¡ginas de AdministraciÃ³n
+
+## GS3
+admin3-expl.displayText:La pÃ¡gina de administraciÃ³n de la interfaz de Greenstone permite administrar la base de datos de usuario y habilitar la opciÃ³n Greenbug para poder editar de manera visual las cadenas de formateo y habilitar el modo EdiciÃ³n para modificar la estructura y contenido de los documentos.
+admin3-expl-2.displayText:Desea configurar una clave para acceder a las pÃ¡ginas de administraciÃ³n de Greenstone? (En el siguiente paso se le preguntarÃ¡ por una clave)
+admin3-expl-3.displayText:De lo contrario se crearÃ¡ una cuenta "admin" con clave "admin". CÃ¡mbiela luego desde la pÃ¡gina de inicio de la biblioteca.
+set.admin.pwd.displayText:Configurar la clave de "admin" ahora
 
 page.admin-password.displayText:Por favor, configure la clave de Admin