Index: /main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/AbstractSearch_ar.properties	(revision 29839)
@@ -0,0 +1,16 @@
+#service stuff
+TextQuery.name:ØšØ­Ø« Ø§ÙÙØµ
+TextQuery.description:Ø§ÙÙØµ Ø§ÙÙØ§Ù
+Ù Ù / Ø£Ù Ø®Ø¯Ù
+Ø© ØšØ­Ø« ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª
+TextQuery.submit:ØšØ­Ø«
+
+#compulsory query params
+param.index:ÙØŽØ§Ù ÙÙØšØ­Ø«
+param.maxDocs:Ø§ÙØ­Ø¯ Ø§ÙØ£ÙØµÙ ÙÙØµÙØ§ØŠØš
+param.query:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø±
+param.rawquery:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø± Ø®Ø§Ù
+
+param.hitsPerPage:Ø§ÙØµÙØ§ØŠØš ÙÙÙ ØµÙØ­Ø©
+param.startPage:Ø§ØšØ¯Ø£ Ù
+Ù Ø§ÙØµÙØ­Ø©
Index: /main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_ar.properties	(revision 29839)
@@ -0,0 +1,22 @@
+#service stuff
+TextQuery.name:ØšØ­Ø« Ø§ÙÙØµ
+TextQuery.description:Ø§ÙÙØµ Ø§ÙÙØ§Ù
+Ù Ù / Ø£Ù Ø®Ø¯Ù
+Ø© ØšØ­Ø« ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª
+TextQuery.submit:ØšØ­Ø«
+
+#compulsory query params
+param.indexSubcollection:ØªÙØŽÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© ÙØ±Ø¹ÙØ©
+
+#optional params
+param.stem:ØªØŽØºÙÙ Ø§ÙØšØ­Ø« ØšØ§ÙØ¬Ø°Ø±
+param.case:ØªØŽØºÙÙ Ø­Ø±Ù ØµØºÙØ±/ÙØšÙØ±
+param.accent:ØªØŽØºÙÙ ØªØŽÙÙÙ Ø§ÙØ­Ø±Ù
+param.matchMode:Ù
+Ø¶Ø§ÙØ§Ø©
+param.matchMode.all:ÙÙ
+param.matchMode.some:ØšØ¹Ø¶
+param.boolean.on:on
+param.boolean.off:Ø§ÙÙØ§Ù
Index: /main/trunk/greenstone3/web/WEB-INF/classes/Authentication_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/Authentication_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/Authentication_ar.properties	(revision 29839)
@@ -0,0 +1,45 @@
+#service stuff
+ListUsers.name:Ø§Ø³Ù
+ Ù
+Ø³ØªÙÙØ¯
+ListUsers.submit:Ø§Ø¯Ø®Ø§Ù
+ListUsers.description:ÙØ§ØŠÙ
+Ø© Ø§ÙÙ
+Ø³ØªÙÙØ¯ÙÙ
+
+AddUser.name:Ø§Ø³Ù
+ Ù
+Ø³ØªÙÙØ¯
+AddUser.submit:Ø§Ø¯Ø®Ø§Ù
+AddUser.description:Ø§Ø¶Ø§ÙØ© Ù
+Ø³ØªÙÙØ¯
+
+#params
+param.un:Ø§Ø³Ù
+ Ø§ÙÙ
+Ø³ØªÙÙØ¯
+param.pw:ÙÙÙ
+Ø© Ù
+Ø±ÙØ±
+param.com:ØªØ¹ÙÙÙ
+param.boolean.enabled:ØªÙ
+ÙÙÙ
+param.boolean.disabled:Ù
+Ø¹Ø·Ù
+param.as:Ø­Ø§ÙØ© Ø­Ø³Ø§Øš
+param.gp:Ù
+Ø¬Ù
+ÙØ¹Ø§Øª Ù
+Ø³ØªØ®Ø¯Ù
+ÙÙ
+param.npw:ÙÙÙ
+Ø© Ù
+Ø±ÙØ± Ø¬Ø¯ÙØ¯Ø©
+param.rnpw:Ø£Ø¹Ø¯ ÙØªØ§ØšØ© ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± Ø§ÙØ¬Ø¯ÙØ¯Ø©
+
+Authentication.description:ÙØ³Ù
+Ø­ ÙÙ ØšØ¥Ø¯Ø§Ø±Ø© Ø§ÙÙ
+Ø³ØªÙÙØ¯ÙÙ
+Authentication.name:ØµÙØ­Ø© Ø§ÙØ§Ø¯Ø§Ø±Ø©
Index: /main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_ar.properties	(revision 29839)
@@ -0,0 +1,15 @@
+TextQuery.name:ØšØ­Ø« Ø¹ØšØ± Ù
+Ø¬Ù
+ÙØ¹Ø©
+TextQuery.submit:ØšØ­Ø«
+TextQuery.description:ØšØ­Ø«  Ù
+Ø¬Ù
+ÙØ¹Ø§Øª Ù
+ØªØ¹Ø¯Ø¯Ø©
+param.query:Ø³ÙØ³ÙØ© Ø§Ø³ØªÙØ³Ø§Ø±
+param.collection:Ù
+Ø¬Ù
+ÙØ¹Ø§Øª ÙÙØšØ­Ø«
+param.collection.all:ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª
Index: /main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_ar.properties	(revision 29839)
@@ -0,0 +1,134 @@
+#the params used by the services
+param.collection:Ù
+Ø¬Ù
+ÙØ¹Ø©
+param.creator:Ø¹ÙÙØ§Ù Ø§ÙØšØ±ÙØ¯ Ø§ÙØ¥ÙÙØªØ±ÙÙÙ ÙÙÙ
+ÙØŽØŠ
+param.collTitle:Ø¹ÙÙØ§Ù Ù
+Ø¬Ù
+ÙØ¹Ø©
+param.collAbout:ÙØµÙ Ù
+Ø¬Ù
+ÙØ¹Ø©
+param.buildType:ÙÙØ¹ Ø§ÙØšÙØ§Ø¡
+param.buildType.mg:MG
+param.buildType.mgpp:MGPP
+
+#service names and submit buttons
+DeleteCollection.name:Ø­Ø°Ù
+DeleteCollection.description:Ø­Ø°Ù Ù
+Ø¬Ù
+ÙØ¹Ø©
+DeleteCollection.submit:Ø­Ø°Ù
+NewCollection.name:Ø§ÙØŽØ§Ø¡
+NewCollection.description:Ø§ÙØŽØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø© Ø¬Ø¯ÙØ¯Ø©
+NewCollection.submit:Ø§ÙØŽØ§Ø¡
+ImportCollection.name:Ø§Ø³ØªÙØ±Ø§Ø¯
+ImportCollection.description:Ø§Ø³ØªÙØ±Ø§Ø¯ Ù
+Ø¬Ù
+ÙØ¹Ø©: Ø£Ø®Ø° Ø§ÙÙØ«Ø§ØŠÙ Ø§ÙØ£ØµÙÙØ© ÙØªØ­ÙÙÙÙØ§ Ø¥ÙÙ ØªÙØ³ÙÙ Ø¬Ø±ÙÙØ³ØªÙÙ  Ø§ÙØ¯Ø§Ø®ÙÙ
+ImportCollection.submit:Ø§Ø³ØªÙØ±Ø§Ø¯
+BuildCollection.name:ØšÙØ§Ø¡
+BuildCollection.description:ØšÙØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©: Ø¥ÙØŽØ§Ø¡ Ø§ÙÙØŽØ§ÙØ§Øª ÙØ§ÙØªØ³ÙØ³Ù Ø§ÙÙØ±Ù
+Ù ÙÙØªØµÙØ­
+BuildCollection.submit:ØšÙØ§Ø¡
+ActivateCollection.name:ØªÙØŽÙØ·
+ActivateCollection.description:ØªÙØŽÙØ· Ù
+Ø¬Ù
+ÙØ¹Ø©: Ø§Ø³ØªØšØ¯Ø§Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© Ø§ÙÙ
+ØšÙÙØ© Ù
+Ù ÙØšÙ Ù
+Ø¹ Ø§ÙØ¥ØµØ¯Ø§Ø± Ø§ÙØ¬Ø¯ÙØ¯
+ActivateCollection.submit:ØªÙØŽÙØ·
+ReloadCollection.name:Ø§Ø¹Ø§Ø¯Ø© ØªØ­Ù
+ÙÙ
+ReloadCollection.description:ØªØ­Ù
+ÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© ÙÙ Ù
+ÙØªØšØ©
+ReloadCollection.submit:Ø§Ø¹Ø§Ø¯Ø© ØªØ­Ù
+ÙÙ
+
+#error messages used by each service - {0} is the collection name
+#DeleteCollection######
+delete.configure_error:ÙØ§ ÙÙ
+ÙÙ ØªØ¹Ø·ÙÙ {0} Ù
+Ù Ø§ÙÙ
+ÙØªØšØ©
+delete.delete_error:ÙØ§ ÙÙ
+ÙÙ Ø­Ø°Ù {0}
+delete.success:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} Ø­Ø°ÙØª ØšÙØ¬Ø§Ø­
+delete.exists_error:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} ÙÙ
+ ØªÙÙ Ù
+ÙØ¬ÙØ¯Ø© ÙÙØ§ ÙÙ
+ÙÙ Ø­Ø°ÙÙØ§
+
+#NewCollection######
+new.success:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} Ø¥ÙØŽØŠØª ØšÙØ¬Ø§Ø­
+
+#ImportCollection#####
+import.success:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} Ø§Ø³ØªÙØ±Ø¯Øª ØšÙØ¬Ø§Ø­
+
+#BuildCollection#####
+build.success:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} ØšÙÙØª ØšÙØ¬Ø§Ø­
+
+#ActivateCollection#####
+activate.build_dir_error:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} ÙÙØ³ ÙØ¯ÙÙØ§ Ù
+Ø¬ÙØ¯ ØšÙØ§Ø¡: ÙØ§ ÙÙ
+ÙÙ ØªÙØ¹ÙÙÙØ§
+activate.build_config_error:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} ÙÙØ³ ÙØ¯ÙÙØ§ Ù
+ÙÙ Ø§Ø¹Ø¯Ø§Ø¯ Ø§ÙØšÙØ§Ø¡ : ÙØ§ ÙÙ
+ÙÙ ØªÙØ¹ÙÙÙØ§
+activate.rm_index_error:ÙØ§ ÙÙ
+ÙÙ Ø¥Ø²Ø§ÙØ© Ù
+Ø¬ÙØ¯ Ø§ÙÙØŽØ§Ù
+activate.rename_building_error:ÙØ§ ÙÙ
+ÙÙ Ø§Ø¹Ø§Ø¯Ø© ØªØ³Ù
+ÙØ© ØšÙØ§Ø¡ ÙÙØªÙØŽÙÙ
+activate.success:Ù
+Ø¬Ù
+ÙØ¹Ø© {0} ÙØŽØ·Øª ØšÙØ¬Ø§Ø­
+
+#ReloadCollection#####
+reload.success:Ø£Ø¹Ø§Ø¯Ø© ØªØ­Ù
+ÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© {0}  ØšÙØ¬Ø§Ø­
+reload.activate_error:ÙØ§ ÙÙ
+ÙÙ ØªÙØ¹ÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© {0} ÙÙ Ø§ÙÙ
+ÙØªØšØ©
+
+#general stuff
+general.process_id_error:Ù
+Ø¹Ø±Ù Ø§ÙØ¹Ù
+ÙÙØ© ØºÙØ± ØµØ§ÙØ­
+general.configure_constructor_error:ÙØ§ ÙÙ
+ÙÙ Ø§Ø¹Ø¯Ø§Ø¯ Ù
+ÙØŽØŠ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©
+general.process_start:Ø§ØšØªØ¯Ø§Ø¡ Ø§ÙØ¹Ù
+ÙÙØ© ...
Index: /main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/GS2LuceneSearch_ar.properties	(revision 29839)
@@ -0,0 +1,3 @@
+param.reverseSort:ÙØ±Ø² Ø¹ÙØ³Ù
+param.reverseSort.0:Ø§ÙÙØ§Ù
+param.reverseSort.1:on
Index: /main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_ar.properties	(revision 29839)
@@ -0,0 +1,12 @@
+#query params
+param.index.au:Ù
+Ø€ÙÙ
+param.index.ti:Ø¹ÙÙØ§Ù
+param.index.kw:ÙÙÙ
+Ø§Øª Ù
+ÙØªØ§Ø­ÙØ©
+param.index.su:Ù
+ÙØ¶ÙØ¹
+param.index.de:ÙØµÙ
+param.index.fu:ÙØµ ÙØ§Ù
+Ù
Index: /main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/LuceneSearch_ar.properties	(revision 29839)
@@ -0,0 +1,6 @@
+TextQuery.name:ØšØ­Ø«
+TextQuery.submit:ØšØ­Ø«
+TextQuery.description:Ø®Ø¯Ù
+Ø© ØšØ­Ø« XML ØšØ³ÙØ·
+
+param.query:Ø£Ø¯Ø®Ù Ø³ÙØ³ÙØ© Ø§ÙØ§Ø³ØªÙØ³Ø§Ø± Ø§ÙØ®Ø§Øµ ØšÙ
Index: /main/trunk/greenstone3/web/WEB-INF/classes/MapRetrieve_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/MapRetrieve_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/MapRetrieve_ar.properties	(revision 29839)
@@ -0,0 +1,5 @@
+#service stuff
+MapRetrieve.name:Ø®Ø±Ø§ØŠØ· Ù
+Ø³ØªØ±Ø¬Ø¹Ø©
+DocumentMetadataRetrieve.name:ÙØ«Ø§ØŠÙ Ù
+Ø³ØªØ±Ø¬Ø¹Ø©
Index: /main/trunk/greenstone3/web/WEB-INF/classes/MapSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/MapSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/MapSearch_ar.properties	(revision 29839)
@@ -0,0 +1,6 @@
+#service stuff
+TextQuery.name:ØšØ­Ø« Ø®Ø±ÙØ·Ø©
+TextQuery.description:Ø§ÙØšØ­Ø« Ø¹Ù Ø£Ø³Ù
+Ø§Ø¡ Ø§ÙØ£Ù
+Ø§ÙÙ ÙÙ Ø®Ø±Ø§ØŠØ·
+TextQuery.submit:ØšØ­Ø«
Index: /main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/PhindPhraseBrowse_ar.properties	(revision 29839)
@@ -0,0 +1,6 @@
+PhindApplet.name:ØšØ­Ø« Ø¬Ù
+ÙØ©
+PhindApplet.description:Ø¬Ø§ÙØ§ Ø§ØšÙØª ÙØ³Ù
+Ø­ ÙÙ ØšØªØµÙØ­ Ø³ÙØ§Ø³Ù Ø§ÙØ¹ØšØ§Ø±Ø© Ø§ÙÙØ±Ù
+ÙØ© Ø§ÙÙ
+Ø³ØªØ®Ø±Ø¬Ø©
Index: /main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_ar.properties	(revision 29839)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/SharedSoleneGS2FieldSearch_ar.properties	(revision 29839)
@@ -0,0 +1,3 @@
+param.sortBy:ØªØ±ØªÙØš ÙØªØ§ØŠØ¬ Ø§ÙØšØ­Ø« Ø¹Ù Ø·Ø±ÙÙ
+param.sortBy.rank:Ø±ØªØšØ©
+param.sortBy.none:ØªØ±ØªÙØš ØšÙØ§Ø¡