Index: main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- main/trunk/gli/classes/dictionary_gu.properties	(revision 29847)
+++ main/trunk/gli/classes/dictionary_gu.properties	(revision 29848)
@@ -1,4 +1,5 @@
 #*******************
 #** Language Orientation Property
+Component.Orientation:LTR
 
 #*******************
@@ -390,4 +391,6 @@
 #
 #***** CollectionManager *****
+CollectionManager.Schedule_Failed:àª­à«àª² àªà«àªµàªŸ àª®àª³à« àª
+àªšà« àªžàªàªà«àª°àª¹àªšà«Â  àªžàª®àª¯àªžàª° àª¬àª¿àª²à«àª¡ àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªžà«àªšàª¿àª¶à«àªàª¿àª€ àªžàª®àª¯àª®àªŸàª àª¥àª àª¶àªà« àªšàª¹àª¿.
 CollectionManager.Build_Cancelled:àªžàªàªà«àª°àª¹ àª¬àª¿àª²à«àª¡à«àªàªàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª°àªŠ àªàª°à«àª² àªà«.
 CollectionManager.Cannot_Create_Collection:àªàªžà«àª° àª¥àª àªà« àª
@@ -405,4 +408,12 @@
 CollectionManager.Loading_Collection:àªžàªàªà«àª°àª¹ àª²à«àª¡ àª¥àª àª°àª¹à«àª¯à«àª àªà«
 CollectionManager.Loading_Collection_Please_Wait:àªžàªàªà«àª°àª¹ àª²à«àª¡ àª¥àª àª°àª¹à«àª¯à«àª àªà«, àª°àªŸàª¹ àªà«àª...
+CollectionManager.Loading_Successful:àª²à«àª¡ àª¥àª¯à«àª² àªžàªàªà«àª°àª¹ {0}.
+CollectionManager.Missing_Config:àª àªžàªàªà«àª°àª¹ àªªàªŸàªžà« àªªà«àª°àª®àªŸàª£àª­à«àª€ collect.cfg àª«àªŸàªàª² àªšàª¥à«
+CollectionManager.Not_Col_File:'{0}' àª àª²àªŸàªàª¬à«àª°à«àª°à«àª¯àªš àªàªšà«àªàª°àª«à«àªž àªàª²à«àªà«àª¶àªš àª«àªŸàªàª² àªšàª¥à« (.col)
+CollectionManager.No_Config_File:àªžàªàªà«àª°àª¹àªšà« .cfg àª«àªŸàªàª² mkcol.pl àªŠà«àªµàªŸàª°àªŸ àª€à«àª¯àªŸàª° àª¥àª àªšàª¥à«.
+CollectionManager.Preview_Ready_Failed:àªà«àªàª àª­à«àª² àªà«àªµàªŸ àª®àª³à« àªà« àªžàªàªà«àª°àª¹àªšà«àª àªªà«àª°àª¿àªµà«àª¯à« àªà«àªµàªŸàª®àªŸàª àª
+àªµàª°à«àª§ àªàª­à« àªàª°àª¶à«.
+CollectionManager.Preview_Ready_Title:àªžàªàªà«àª°àª¹ àªªà«àª°àª¿àªµà«àª¯à«àªšà«  àªžà«àª¥àª¿àª€àª¿.
+CollectionManager.Schedule_Ready_Title:àª¬àª¿àª²à«àª¡ àªªà«àª°àªà«àª°àª¿àª¯àªŸàªšà« àªžà«àªšàª¿àª¶à«àªàª¿àª€ àªžà«àª¥àª¿àª€àª¿.
 CollectionManager.Build_Not_Moved:àª¬àª¿àª²à«àª¡à«àªàª àª¡àª¿àª°à«àªà«àªàª°à« àªàªžà«àª¡à« àª¶àªà«àª¯àªŸàª àªšàª¥à«. àª¬à«àªà« àªµàªàª€ àª¬àª¿àª²à«àª¡à«àªàªàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªàª°à«, àª
 àª¥àªµàªŸ GLI àª
@@ -418,7 +429,46 @@
 #
 #***** CollectionPopupMenu *****
+CollectionPopupMenu.Delete:àª°àªŠ àªàª°à«
+CollectionPopupMenu.New_Dummy_Doc:àªšàªµà« àª¡àª®à« àªªà«àª°àª²à«àª
+CollectionPopupMenu.New_Folder:àªšàªµà«àª àª«à«àª²à«àª¡àª°
+CollectionPopupMenu.Refresh:àª«à«àª²à«àª¡àª°àªšà« àªŠà«àªàªŸàªµ àª°à«àª«à«àª°à«àª¶ àªàª°à«
+CollectionPopupMenu.Rename:àªšàªŸàª® àª¬àªŠàª²à«
+CollectionPopupMenu.Replace:àª°àª¿àªªà«àª²à«àªž àªàª°à«...
 #*******************************
 #
 #***** CreatePane *****
+CreatePane.Schedule:àªžà«àªšàª¿àª¶à«àªàª¿àª€ àªµàª¿àªàª²à«àªªà«
+CreatePane.Schedule_Build:àªžà«àªšàª¿àª¶à«àªàª¿àª€ àªàªŸàª°à«àª¯
+CreatePane.Schedule_Build_Tooltip:àªžà«àªµàª¯àªàªžàªàªàªŸàª²àª¿àª€ àªžàªàªà«àª°àª¹ àª«à«àª°à«àª®à«àª¶àªš àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªžà«àªšàª¿àª¶à«àªàª¿àª€
+CreatePane.Build:àªžàªàªà«àª°àª¹ àª¬à«àª²à«àª¡ àªàª°àªµàªŸ àª®àªŸàªà«àªšàªŸ àªàªªàªŸàª¯à«
+CreatePane.Build_Tooltip:àªžàªàªà«àª°àª¹ àª«à«àª°à«àª®à«àª¶àªš àª®àªŸàªà«Â  àªàªšà«àª¡à«àªà«àª·àª¿àªàªÂ  àª
+àªšà« àªµàª°à«àªà«àªàª°àª£ àª€àª¬àªà«àªàªŸàªšàªŸ àªàªªàªŸàª¯à«
+CreatePane.Build_Collection:àªžàªàªà«àª°àª¹ àª¬à«àª²à«àª¡ àªàª°à«Â 
+CreatePane.Build_Collection_Tooltip:àªžàªàªà«àª°àª¹ àª«à«àª°à«àª®à«àª¶àªš àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª¶àª°à« àªàª°à«
+CreatePane.Build_Progress:àªžàªàªà«àª°àª¹ àª¬à«àª²à«àª¡àªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªªà«àª°àªàª€àª¿àª®àªŸàª àªà«
+CreatePane.Cancel_Build:àªžàªàªà«àª°àª¹ àª¬à«àª²à«àª¡ àªàª°àªµàªŸàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª°àªŠ àªàª°à«
+CreatePane.Cancel_Build_Tooltip:àªžàªàªà«àª°àª¹ àª«à«àª°à«àª®à«àª¶àªš àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª¬àªàª§ àªàª°à«
+CreatePane.Full_Build:àªžàªàªªà«àª°à«àª£ àª°à«àª¬à«àª²à«àª¡ àªàª°à«
+CreatePane.Full_Build_Tooltip:àªžàªàªà«àª°àª¹àªšà« àª¶àª°à«àªàª€ (àªžà«àªà«àª°à«àª)àª¥à« àªžàªàªªà«àª°à«àª£ àª°à«àª€à« àª°à«àª¬à«àª²à«àª¡ àªàª°à«
+CreatePane.Import:àªàª®à«àªªà«àª°à«àª àª®àªŸàªà«àªšàªŸ àªàªªàªŸàª¯à«
+CreatePane.Import_Tooltip:àªžàªàªà«àª°àª¹ àª«à«àª°à«àª®à«àª¶àªšàªšà« àª«àªŸàªàª² àªàªšà«àªµàª°à«àªàªš àª
+àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àª
+àªžàªŸàªàªšà«àª®à«àªàª àª€àª¬àªà«àªàªŸ àª®àªŸàªà«àªšàªŸ àªàªªàªŸàª¯à«
+CreatePane.Import_Progress:àªàª®à«àªªà«àª°à«àª àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªªà«àª°àªàª€àª¿àª®àªŸàª àªà«
+CreatePane.Minimal_Build:àª
+àª²à«àªªàª€àª® àª°à«àª¬à«àª²à«àª¡
+CreatePane.Minimal_Build_Tooltip:àªàª¡àªªà«, àªàªŸàª°àª£àªà« àªžàªàªà«àª°àª¹ àª¬àª¿àª²à«àª¡à«àªàª àªªà«àª°àªà«àª°àª¿àª¯àªŸàªšàªŸÂ àª­àªŸàªàª°à«àªªà« àªà« àªàª°à«àª°à« àªà« àª€à« àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«
+CreatePane.Minimal_Build_Not_Required:àª°à«àª¬à«àª²à«àª¡ àªàª°à«àª°à« àªšàª¥à« àªàªŸàª°àª£àªà« àªžàªàªà«àª°àª¹àª®àªŸàª àª€àª®à« àªàªàªªàª£ àª«àªŸàªàª² àªàª®à«àª°à« àªšàª¥à«, \n àª®à«àªàªŸàª¡à«àªàªŸàª®àªŸàª , àª
+àª¥àªµàªŸ àª¡àª¿àªàªŸàªàªš àªªà«àªšàª®àªŸàª àª«à«àª°àª«àªŸàª° àªàª°à«àª¯à« àªšàª¥à«.\n (àª°à«àª¬à«àª²à«àª¡ àªàª°àªµàªŸ àª®àªŸàªà« "àªžàªàªªà«àª°à«àª£ àª°à«àª¬à«àª²à«àª¡" àªªàªžàªàªŠ àªàª°à« àª
+àªšà« "àª¬à«àª²à«àª¡ àªžàªàªà«àª°àª¹" àª¬àªàªš àªŠàª¬àªŸàªµà«.)
+CreatePane.Log:àª®à«àªžà«àª àª²à«àª
+CreatePane.Log_Tooltip:àªžàªàªà«àª°àª¹ àª«à«àª°à«àª®à«àª¶àªšàªšàªŸ àª
+àªàªŸàªàªšàªŸ àªªà«àª°àª¯àª€à«àªšà«àª®àªŸàªàª¥à« àªàªàªàªªà«àª àª¬àª€àªŸàªµà«
+CreatePane.Mode_All:àª¬àª§àªŸ
+CreatePane.Options:àªàªªàªŸàª¯ àª®àªŸàªà«àªšàªŸ àªà«àª¥à«
+CreatePane.Options_Title:àªžàªàªà«àª°àª¹ àªàª®à«àªªà«àª°à«àª, àª¬à«àª²à«àª¡, àª
+àªšà« àªžà«àªšàª¿àª¶à«àªàª¿àª€ àªµàª¿àªàª²à«àªªà«
+CreatePane.Preview_Collection:àªžàªàªà«àª°àª¹ àªªà«àª°àª¿àªµà«àª¯à«
+CreatePane.Preview_Collection_Tooltip:àªžàªàªà«àª°àª¹ àªªà«àª°àª¿àªµà«àª¯à« àªàª°à«
 #**********************
 #