Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_ar.properties	(revision 29848)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_ar.properties	(revision 29849)
@@ -4,5 +4,258 @@
 ##################
 
-
+help.findinginformationtitle:<h2>ÙÙÙÙØ© Ø§ÙØ¹Ø«ÙØ± Ø¹ÙÙ Ù
+Ø¹ÙÙÙ
+Ø§Øª ÙÙ  Ù
+Ø¬Ù
+ÙØ¹Ø©{0} </h2>
+help.findinginformation:ØªÙØ¬Ø¯{0} Ø·Ø±ÙÙØ© ÙÙØ¹Ø«ÙØ± Ø¹ÙÙ Ø§ÙÙ
+Ø¹ÙÙÙ
+Ø§Øª ÙÙ ÙØ°Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©:
+help.browsedesc:ØªØµÙØ­ Ø§ÙÙØ«Ø§ØŠÙ Ø¹Ù Ø·Ø±ÙÙ<i>{0}</i> ØšØ§ÙÙÙØ± Ø¹ÙÙ<i>{0}</i> Ø²Ø±
+
+
+help.openbookshelf:Ø§ÙØªØ­ Ø±Ù Ø§ÙÙØªØš
+
+
+help.querytermstitle:<h3>Ù
+ØµØ·ÙØ­Ø§Øª ØšØ­Ø«</h3>
+help.queryterms:<p> ÙÙ
+ÙÙ
+Ø§ ØªÙØªØš ÙÙ Ù
+Ø±ØšØ¹ Ø§ÙØšØ­Ø« ÙÙØ³Ø± Ø¹ÙÙ Ø£ÙÙ ÙØ§ØŠÙ
+Ø© Ù
+Ù Ø§ÙÙÙÙ
+Ø§Øª Ø£Ù Ø§ÙØ¹ØšØ§Ø±Ø§Øª \
+ÙÙØ·ÙÙ Ø¹ÙÙÙØ§ "Ù
+ØµØ·ÙØ­Ø§Øª Ø§ÙØšØ­Ø«". ÙÙÙØ§Ù Ù
+ØµØ·ÙØ­ ÙÙ ÙÙÙ
+Ø© ÙØ§Ø­Ø¯Ø© ØªØ­ØªÙÙ Ø¹ÙÙ Ø­Ø±ÙÙ ÙØ£Ø±ÙØ§Ù
+ ÙÙØ·Ø Ø£Ù Ø¹ØšØ§Ø±Ø© \
+ØªØªÙÙÙ Ù
+Ù Ø³ÙØ³ÙØ© Ù
+Ù Ø§ÙÙÙÙ
+Ø§Øª Ø¯Ø§Ø®Ù Ø¹ÙØ§Ù
+ØªÙ Ø§ÙØªØšØ§Ø³ ("..."). ÙÙÙØµÙ ØšÙÙ Ø§ÙÙ
+ØµØ·ÙØ­Ø§Øª Ù
+Ø³Ø§Ø­Ø§Øª ØšÙØ¶Ø§Ø¡. \
+ÙÙ Ø­Ø§ÙØ© ØžÙÙØ± Ø£Ù Ù
+Ø­Ø±ÙØ§Øª Ø£Ø®Ø±Ù Ù
+Ø«Ù Ø¹ÙØ§Ù
+Ø§Øª Ø§ÙØªØ±ÙÙÙ
+Ø ÙØ§ÙØªÙ ØªÙØµÙ ØšÙÙ Ø§ÙÙ
+ØµØ·ÙØ­Ø§Øª ØªÙÙÙ ÙÙ
+Ø§  ÙÙ ÙØ§ÙØª \
+Ù
+Ø³Ø§ÙØ§Øª. ÙØ¹ÙØ¯ØŠØ° ÙØªÙ
+ ØªØ¬Ø§ÙÙÙØ§ . ÙØ§ ÙÙ
+ÙÙÙ Ø§ÙØšØ­Ø« Ø¹Ù Ø§ÙÙÙÙ
+Ø§Øª Ø§ÙØªÙ ØªØªØ¶Ù
+Ù Ø¹ÙØ§Ù
+Ø§Øª Ø§ÙØªØ±ÙÙÙ
+. </ P> \
+<p> ÙØ¹ÙÙ Ø³ØšÙÙ Ø§ÙÙ
+Ø«Ø§ÙØ Ø§ÙØ§Ø³ØªÙØ³Ø§Ø± </ P> \
+<UL> <KBD> Ø§ÙØ­Ø±Ø§Ø¬Ø© Ø§ÙØ²Ø±Ø§Ø¹ÙØ© ÙÙ Ø¬Ø²Ø± Ø§ÙÙ
+Ø­ÙØ· Ø§ÙÙØ§Ø¯ØŠ: ÙØžÙ
+ Ù
+Ù Ø£Ø¬Ù Ø§ÙØ§Ø³ØªØ¯Ø§Ù
+Ø© (1993) </ KBD> </ UL> \
+<p> ÙØ³ÙØªÙ
+ Ø§ÙØªØ¹Ø§Ù
+Ù Ù
+Ø¹ÙØ§ Ø¹ÙÙ Ø§ÙÙØ§ ÙØ§ÙØ§ØªÙ </ P> \
+<UL> <KBD> Ø§ÙØ­Ø±Ø§Ø¬Ø© Ø§ÙØ²Ø±Ø§Ø¹ÙØ© ÙÙ Ø§ÙØ£ÙØžÙ
+Ø© Ø¬Ø²Ø± Ø§ÙÙ
+Ø­ÙØ· Ø§ÙÙØ§Ø¯ØŠ Ù
+Ù Ø£Ø¬Ù Ø§ÙØ§Ø³ØªØ¯Ø§Ù
+Ø© 1993 </ KBD> </ UL>
+
+help.querytypetitle:<h3>ÙÙØ¹ Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±</h3>
+help.querytype:<p> ÙÙÙØ§Ù ÙÙØ¹Ø§Ù Ù
+Ù Ø£ÙÙØ§Ø¹  Ù
+Ù Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±. </ P> \
+<UL> \
+<li> Ø§Ø³ØªÙØ³Ø§Ø± <b> ÙÙ </ B> Ù
+Ù Ø§ÙÙÙÙ
+Ø§Øª. ÙØ°Ù ØªØšØ­Ø« Ø¹Ù Ø§ÙÙ
+Ø³ØªÙØ¯Ø§Øª (Ø£Ù Ø§ÙÙØµÙÙ Ø£Ù Ø§ÙØ¹ÙÙØ§Ù) \
+Ø§ÙØªÙ ØªØ­ØªÙÙ Ø¹ÙÙ ÙÙ Ø§ÙÙÙÙ
+Ø§Øª Ø§ÙØªÙ ØªÙ
+ ØªØ­Ø¯ÙØ¯ÙØ§. ÙØªÙ
+ Ø¹Ø±Ø¶ Ø§ÙÙØ«Ø§ØŠÙ Ø§ÙØªÙ ØªÙØšÙ Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±Ø ÙÙÙØ§ ÙØªØ±ØªÙØš Ø¹Ù
+ÙÙØ© Ø§ÙØšÙØ§Ø¡. </ li> \
+<li> ÙØ§Ø³ØªÙØ³Ø§Ø± <b> ØšØ¹Ø¶ </ B> Ù
+Ù Ø§ÙÙÙÙ
+Ø§Øª. Ù
+Ø¬Ø±Ø¯ Ø³Ø±Ø¯ ØšØ¹Ø¶ Ø§ÙÙ
+ØµØ·ÙØ­Ø§Øª Ø§ÙØªÙ Ù
+Ù Ø§ÙÙ
+Ø­ØªÙ
+Ù Ø£Ù ØªØžÙØ± ÙÙ \
+Ø§ÙÙØ«Ø§ØŠÙ Ø§ÙØªÙ ØªØšØ­Ø« Ø¹ÙÙØ§. ÙØªÙ
+ Ø¹Ø±Ø¶ Ø§ÙÙØ«Ø§ØŠÙ ÙÙ ØªØ±ØªÙØš Ø§ÙÙÙ
+ Ø§ÙØ£ÙØ±Øš ÙÙ
+Ø¶Ø§ÙØ§Ø© Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±. \
+Ø¹ÙØ¯ ØªØ­Ø¯ÙØ¯ Ø¯Ø±Ø¬Ø© Ø§ÙÙ
+Ø¶Ø§ÙØ§Ø©Ø </ li> \
+<UL> \
+<li> ÙÙ
+ØµØ·ÙØ­ Ø§ÙØšØ­Ø« Ø§ÙØ£ÙØ«Ø± ÙØ±ÙØ¯Ø§ ÙÙ Ø§ÙÙØ«ÙÙØ©Ø ÙÙØ§ÙØ£ÙØ±Øš ÙÙÙ
+Ø¶Ø§ÙØ§Ø©. </ li> \
+<li> ÙÙ
+ØµØ·ÙØ­Ø§Øª Ø§ÙØšØ­Ø« Ø§ÙØªÙ ÙÙ ÙØ§Ø¯Ø±Ø© ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© ÙÙÙ ØªØ¹ØªØšØ± Ø§ÙØ§ÙØ«Ø± Ø£ÙÙ
+ÙØ© Ù
+Ù ØªÙÙ Ø§ÙØŽØ§ØŠØ¹Ø©. </ li> \
+<li> Ø§ÙÙØ«Ø§ØŠÙ Ø§ÙÙØµÙØ±Ø© ØªØ¶Ø§ÙÙ Ø£ÙØ¶Ù Ù
+Ù Ø§ÙØ·ÙÙÙØ©. </ li> \
+</ UL> \
+</ UL> \
+<p> Ø§Ø³ØªØ®Ø¯Ù
+ Ø§ÙØ¹Ø¯ÙØ¯ Ù
+Ù Ù
+ØµØ·ÙØ­Ø§Øª Ø§ÙØšØ­Ø« ÙÙ
+Ø§ ØªØ±ÙØ¯ - Ø¬Ù
+ÙØ© ÙØ§Ù
+ÙØ©Ø Ø£Ù Ø­ØªÙ ÙÙØ±Ø© ÙØ§Ù
+ÙØ©. Ø¥Ø°Ø§ ÙÙ
+Øª ØšØªØ­Ø¯ÙØ¯  \
+Ù
+ØµØ·ÙØ­ ÙØ§Ø­Ø¯ ÙÙØ· Ø Ø³ÙÙ ØªØ±ØªØš Ø§ÙÙØ«Ø§ØŠÙ Ø­Ø³Øš ØªÙØ±Ø§Ø± ÙØ±ÙØ¯Ù. </ P>
+
+help.queryscopetitle:<h3>Ù
+Ø¬Ø§Ù Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±Ø§Øª</h3>
+help.queryscope:&lt;p&gt;Ø ÙÙ Ù
+Ø¹ØžÙ
+ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª ÙÙ
+ÙÙÙ Ø§Ø®ØªÙØ§Ø± ÙØŽØ§ÙØ§Øª Ù
+Ø®ØªÙÙØ© ÙÙØšØ­Ø«. Ø¹ÙÙ Ø³ØšÙÙ Ø§ÙÙ
+Ø«Ø§ÙØ ÙÙØ§Ù ÙØ¯ \&#10;
+
+help.changingpreferencestitle:<h2>Ø ØªØºÙÙØ± ØªÙØ¶ÙÙØ§ØªÙ</h2>
+help.changingpreferences:<p>Ø¹ÙØ¯ Ø§ÙÙÙØ± ÙÙÙ Ø²Ø±<i>ØªÙØ¶ÙÙØ§Øª</i>  ÙÙ Ø§ÙØ¬Ø²Ø¡ Ø§ÙØ¹ÙÙÙ Ù
+Ù Ø§ÙØµÙØ­Ø© Ø Ø³ÙÙ ØªÙÙÙ ÙØ§Ø¯Ø±Ø§ Ø¹ÙÙ ØªØºÙÙØ± ØšØ¹Ø¶ Ù
+ÙØ²Ø§Øª Ø§ÙÙØ§Ø¬ÙØ© ÙØªØªÙØ§Ø³Øš Ù
+Ø¹ Ø§Ø­ØªÙØ§Ø¬Ø§ØªÙ Ø§ÙØ®Ø§ØµØ© .</p>
+
+help.collectionpreferencestitle:<h3>ØªÙØ¶ÙÙØ§Øª Ù
+Ø¬Ù
+ÙØ¹Ø©</h3>
+help.collectionpreferences:<p>ØšØ¹Ø¶ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª ØªØªÙÙÙ Ù
+Ù Ø¹Ø¯Ø¯ Ù
+Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª Ø§ÙÙØ±Ø¹ÙØ©, ÙØ§ÙØªÙ ÙÙ
+ÙÙ Ø§ÙØšØ­Ø« ÙÙÙØ§ \
+ØšØŽÙÙ Ù
+Ø³ØªÙÙ Ø£Ù Ù
+Ø¹Ø§ ÙÙØ­Ø¯Ø© ÙØ§Ø­Ø¯Ø©.  Ø¥Ø°Ø§ ÙØ§Ù Ø§ÙØ£Ù
+Ø± ÙØ°ÙÙØ ÙÙ
+ÙÙÙ ØªØ­Ø¯ÙØ¯ Ø£Ù \
+Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª Ø§ÙÙØ±Ø¹ÙØ© ÙØªØŽÙ
+Ù ÙÙ Ø¹Ù
+ÙÙØ§Øª Ø§ÙØšØ­Ø« Ø§ÙØ®Ø§Øµ ØšÙ Ø¹ÙÙ ØµÙØ­Ø© ØªÙØ¶ÙÙØ§Øª. </p>
+
+help.languagepreferencestitle:<h3>ØªÙØ¶ÙÙØ§Øª Ø§ÙÙØºØ©</h3>
+help.languagepreferences:<p>ÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© ÙÙØ§ ÙØºØ© Ø§ÙØ¹Ø±Ø¶ Ø§ÙØ§ÙØªØ±Ø§Ø¶ÙØ©, ÙÙÙÙ ÙÙ
+ÙÙÙ Ø§ÙØªØšØ¯ÙÙ Ø¥ÙÙ\
+ÙØºØ© Ù
+Ø®ØªÙÙØ© Ø¥Ø°Ø§ Ø£Ø±Ø¯Øª.  ÙÙ
+ÙÙÙ Ø£ÙØ¶Ø§ Ø§Ø³ØªØšØ¯Ø§Ù ÙØžØ§Ù
+ Ø§ÙØªØ±Ù
+ÙØ² \
+Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+ Ù
+Ù ÙØšÙ ØšØ±ÙØ§Ù
+Ø¬ Ø¬Ø±ÙÙØ³ØªÙÙ  ÙÙÙ
+ØªØµÙØ­ -- Ø£Ù Ø§ÙØšØ±ÙØ§Ù
+Ø¬ ÙØ®ØªØ§Ø± \
+Ø§ÙØªØ®ÙÙ Ù
+Ø¹ÙÙÙØ©Ø ÙÙÙÙ Ù
+Ø¹ ØšØ¹Ø¶ Ø§ÙÙ
+ØªØµÙØ­Ø§Øª ÙØ¯ ÙÙÙÙ Ù
+Ù Ø§ÙØ¶Ø±ÙØ±Ù ÙÙØªØšØ¯ÙÙ Ø¥ÙÙ \
+ÙØžØ§Ù
+ ØªØ±Ù
+ÙØ² Ù
+Ø®ØªÙÙØ© ÙØ¶Ù
+Ø§Ù Ø¹Ø±Ø¶ Ø§ÙØ£Ø­Ø±Ù Ø§ÙØµØ­ÙØ­Ø©. \
+ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª ØªØ³Ù
+Ø­ ÙÙ Ø§ÙØªØšØ¯ÙÙ ØšÙÙ ÙØ§Ø¬ÙØ© Ø±Ø³ÙÙ
+ÙØ© ÙÙØ§Ø³ÙØ© Ø¥ÙÙ ÙØµÙØ© . Ù ÙØ¹ØªØšØ± ÙØ°Ø§ Ù
+ÙÙØ¯Ø§ ØšØŽÙÙ Ø®Ø§Øµ ÙÙÙ
+Ø³ØªØ®Ø¯Ù
+ÙÙ Ø¶Ø¹Ø§Ù Ø§ÙØšØµØ± Ø§ÙØ°ÙÙ ÙØ³ØªØ®Ø¯Ù
+ÙÙ Ø®Ø·ÙØ· ØŽØ§ØŽØ© Ø§ÙÙØšÙØ±Ø© ÙØ§ÙÙ
+Ø³Ø§Ø¹Ø¯Ø§Øª ØµÙØªÙØ© .</p>
+
+help.presentationpreferencestitle:<h3>ØªÙØ¶ÙÙØ§Øª Ø§ÙØ¹Ø±Ø¶</h3>
+help.presentationpreferences:<p> Ø§Ø¹ØªÙ
+Ø§Ø¯Ø§ Ø¹ÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© Ù
+Ø¹ÙÙØ©Ø ;
+ ÙØ¯ ÙÙÙÙ ÙÙØ§Ù Ø¹Ø¯Ø© Ø®ÙØ§Ø±Ø§Øª ÙÙ
+ÙÙ Ø¶ØšØ·ÙØ§ ÙÙØªØ­ÙÙ
+ ÙÙ Ø§ÙØ¹Ø±Ø¶.   \Ø Ù
+Ø¬Ù
+ÙØ¹Ø© Ù
+Ù ØµÙØ­Ø§Øª Ø§ÙÙÙØš ØªØ³Ù
+Ø­ ÙÙ ÙÙÙ
+Ø¹ ØŽØ±ÙØ· Ø§ÙØªÙÙÙ Ø¬Ø±ÙÙØ³ØªÙÙ  ÙÙ Ø£Ø¹ÙÙ ÙÙ ØµÙØ­Ø© ÙØ«ÙÙØ©/
+ Ø­ØªÙ Ø£ÙÙ ØšÙ
+Ø¬Ø±Ø¯ ÙÙØª ÙØ¯ ÙØ¹ÙØª Ø§ÙØšØ­Ø« Ø§ÙØ°Ù Ø§ÙÙØšÙØ· ÙÙ ØµÙØ­Ø© ÙÙØš Ø§ÙØ¯ÙÙÙØ© Ø§ÙØªÙ Ù
+ØšØ§Ø±ÙØ§Øª ØšØ¯ÙÙ Ø£Ù Ø±Ø£Ø³ ÙØ±ÙÙØ³ØªÙÙ.;
+ ÙÙÙÙØ§Ù
+ ØšØ­Ø« Ø¢Ø®Ø± Ø³ÙÙÙÙ ÙØ¯ÙÙ ÙØ§Ø³ØªØ®Ø¯Ø§Ù
+ "" Ø§ÙØ²Ø± "Ø§ÙØ®ÙÙÙ" ÙÙÙ
+ØªØµÙØ­. ØªØ³Ù
+Ø­ ÙØ°Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª Ø£ÙØ¶Ø§ ÙÙ ÙÙÙ
+Ø¹ \;
+ Ø±Ø³Ø§ÙØ© ØªØ­Ø°ÙØ± Ø¬Ø±ÙÙØ³ØªÙÙ Ø¹ÙØ¯ Ø§ÙÙÙØ± ÙÙÙ Ø§ÙØ§Ø±ØªØšØ§Ø· Ø§ÙØ°Ù ÙØ£Ø®Ø°Ù Ù
+Ù Ù
+Ø¬Ù
+ÙØ¹Ø© Ù
+ÙØªØšØ© Ø§ÙØ±ÙÙ
+ÙØ© ÙØ¥ÙÙ \;
+ ÙÙØš ÙÙØ³Ù. ÙÙÙ ØšØ¹Ø¶ Ù
+Ø¬Ù
+ÙØ¹Ø§Øª ÙÙØš ÙÙ
+ÙÙÙ Ø§ÙØªØ­ÙÙ
+ ÙÙ Ù
+Ø§ Ø¥Ø°Ø§ ÙØ§ÙØª Ø§ÙØ±ÙØ§ØšØ· Ø¹ÙÙ ØµÙØ­Ø© ÙØªØ§ØŠØ¬ Ø§ÙØšØ­Ø« ÙØ£Ø®Ø°Ù Ù
+ØšØ§ØŽØ±Ø© \;
+ Ø¥ÙÙ URL Ø§ÙÙØ¹ÙÙ ÙÙ Ø§ÙØ³Ø€Ø§ÙØ ØšØ¯ÙØ§ Ù
+Ù ÙØ³Ø®Ø© Ø§ÙÙ
+ÙØªØšØ© Ø§ÙØ±ÙÙ
+ÙØ© Ù
+Ù Ø§ÙØµÙØ­Ø©.   </ P>
+
+
+
+help.mgsearchpreferences:<p>Ø²ÙØ¬ Ù
+Ù Ø£Ø²Ø±Ø§Ø± Ø§ÙØªØ­ÙÙ
+ Ø³ÙØ§Ø¡ Ø­Ø§ÙØ© Ø§ÙØ¹ÙÙÙØ© ÙØ§ÙØ³ÙÙÙØ© ÙØ¬Øš Ø£Ù ØªØªØ·Ø§ØšÙ Ø¹ÙØ¯ Ø§ÙØšØ­Ø«. \
+Ø¹ÙÙ Ø³ØšÙÙ Ø§ÙÙ
+Ø«Ø§Ù, Ø¥Ø°Ø§ ØªÙ
+ Ø§Ø®ØªÙØ§Ø± " ØªØ¬Ø§ÙÙ Ø§ÙØ§Ø®ØªÙØ§ÙØ§Øª  ",  Ø³ÙØªÙ
+ Ø§ÙØªØ¹Ø§Ù
+Ù Ù ÙØ° ÙÙ Ø­Ø§ÙØ© Ø§ÙÙØºØ© Ø§ÙÙØ§ØªÙÙÙØ© Ø¹ÙÙ Ø§ÙÙØ§ Ø­Ø§ÙØ© ÙØ§Ø­Ø¯Ø© Snail Farming and SNAIL FARMING. </p>
 
 #############################