Index: /main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_es.properties	(revision 29850)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/AbstractTextSearch_es.properties	(revision 29850)
@@ -0,0 +1,17 @@
+#service stuff
+TextQuery.name:BÃºsqueda por texto
+TextQuery.description:Servicio de bÃºsqueda por texto completo y/o metadatos
+TextQuery.submit:Buscar
+
+#compulsory query params
+param.indexSubcollection:Indexar subcolecciÃ³n
+
+#optional params
+param.stem:Activar truncamiento
+param.case:Activar may/min
+param.accent:Activar acentos
+param.matchMode:Coincidir
+param.matchMode.all:todos
+param.matchMode.some:algunas
+param.boolean.on:activado
+param.boolean.off:desactivado
Index: /main/trunk/greenstone3/web/WEB-INF/classes/Authentication_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/Authentication_es.properties	(revision 29850)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/Authentication_es.properties	(revision 29850)
@@ -0,0 +1,22 @@
+#service stuff
+ListUsers.name:Nombre de Usuario
+ListUsers.submit:enviar
+ListUsers.description:listar usuarios
+
+AddUser.name:Nombre de usuario
+AddUser.submit:enviar
+AddUser.description:agregar usuario
+
+#params
+param.un:nombre de usuario
+param.pw:clave
+param.com:comentario
+param.boolean.enabled:habilitado
+param.boolean.disabled:deshabilitado
+param.as:estado de la cuenta
+param.gp:grupos
+param.npw:nueva clave
+param.rnpw:escriba nuevamente la clave
+
+Authentication.description:Permite administrar usuarios
+Authentication.name:PÃ¡gina de administraciÃ³n
Index: /main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_es.properties	(revision 29850)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/CrossCollectionSearch_es.properties	(revision 29850)
@@ -0,0 +1,6 @@
+TextQuery.name:BÃºsqueda cruzada en colecciones
+TextQuery.submit:Buscar
+TextQuery.description:Buscar en mÃºltiples colecciones
+param.query:Cadena de bÃºsqueda
+param.collection:Colecciones en las cuales buscar
+param.collection.all:Todas las colecciones
Index: /main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_es.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_es.properties	(revision 29850)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/GS2Construct_es.properties	(revision 29850)
@@ -0,0 +1,44 @@
+#the params used by the services
+
+#service names and submit buttons
+DeleteCollection.name:Borrar
+DeleteCollection.description:Borrar una colecciÃ³n
+DeleteCollection.submit:Borrar
+NewCollection.name:Crear
+NewCollection.description:Crear una nueva colecciÃ³n
+NewCollection.submit:Crear
+ImportCollection.name:Importar
+ImportCollection.description:Importar una colecciÃ³n: tomar los documentos originales y convertirlos al formato interno de Greenstone
+ImportCollection.submit:Importar
+BuildCollection.name:Construir
+BuildCollection.description:Construir una colecciÃ³n: crear los Ã­ndices y las jerarquÃ­as navegables.
+BuildCollection.submit:Construir
+ActivateCollection.name:Activar
+ActivateCollection.description:Activar una colecciÃ³n: Reemplazar el Ã­ndice antiguo con la nueva versiÃ³n
+ActivateCollection.submit:Activar
+ReloadCollection.name:Recargar
+ReloadCollection.description:Recargar la colecciÃ³n en la biblioteca
+ReloadCollection.submit:Reload
+
+#error messages used by each service - {0} is the collection name
+#DeleteCollection######
+delete.configure_error:No se ha podido desactivar la colecciÃ³n {0} de la biblioteca.
+delete.delete_error:No se puede borrar {0}.
+
+#NewCollection######
+
+#ImportCollection#####
+
+#BuildCollection#####
+build.success:La colecciÃ³n {0} se ha construÃ­do satisfactoriamente.
+
+#ActivateCollection#####
+activate.build_dir_error:La colecciÃ³n{0} no tiene una carpeta "building": no se puede activar.
+activate.build_config_error:La colecciÃ³n {0} no tiene archivo de configuraciÃ³n de construcciÃ³n: no se puede activar
+activate.rm_index_error:No se puede borrar la carpeta index.
+activate.rename_building_error:No se puede renombrar building como index.
+activate.success:La colecciÃ³n {0} se ha activado satisfactoriamente.
+
+#ReloadCollection#####
+
+#general stuff